Bug 136934

Summary: CD/DVD Creator opens every time a data CD is mounted.
Product: [Fedora] Fedora Reporter: eric <egon108>
Component: gnome-volume-managerAssignee: David Zeuthen <davidz>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: mattdm, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-30 10:55:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description eric 2004-10-23 11:18:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20040913 Firefox/0.10.1

Description of problem:
Every time I install FC3test3 my CD-ROM unit is detected as a CD-R
Drive and nautilus opens (always) the CD/DVD Creator window when I
click its icon inside Computer, even if I just open the drive's tray,
so I can't see the contents of my disc until I manually mount it and
browse to /media/cdrom. Curiously, I also have a CD-RW unit that works
allright and I can browse it directly from Computer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC3test3 with an LG GCR-8523B CD-ROM unit.
2. Open the disc tray (by now it acts as if a disc was already in).
3. Insert any data CD (not blank).
4. Try to see its contents through Computer or the desktop icon.

Actual Results:  The CD/DVD Creator windows appears (empty).

Expected Results:  The contents of the CD should be seen.

Additional info:

During this process no error is displayed. I've tried all
gnome-volume-manager configurations. I've upgraded hal, udev, dbus,
nautilus. The failing unit is an LG GCR-8523B and I also have a CD-RW
unit (LG GCE-8523B) that works ok.
Comment 1 John (J5) Palmieri 2004-12-06 13:42:08 EST
Does this still happen with the FC3 final?
Comment 2 eric 2004-12-06 14:52:31 EST
Yes it happens in FC3 final. But after upgrading to newer versions of 
dbus, nautilus and nautilus-cd-burner the problem is gone. I don't 
know exactly which one is the cause because I haven't had a chance to 
check them individually, but the icons inside the "Computer" window 
also changed names (instead of CD-R > cd-rom ; instead of CD-RW > 
cdrecorder), so I think gnome-volume-manager is not the source of 
this bug.
Comment 3 John (J5) Palmieri 2004-12-06 14:54:07 EST
Upgrading from source or as a FC3 update?
Comment 4 eric 2004-12-06 15:06:38 EST
First I upgraded everything using up2date and the bug was still 
there. Then I used third party RPM packages (which were newer in 
version) of those three components and that fixed it. Right now I 
can't check which versions I'm using, but I'm talking about two or 
three days ago.
Comment 5 Matthew Miller 2006-07-10 18:35:39 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 10:55:29 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.